Skip to main content
GET
/
api
/
v2
/
projects
List projects
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects \
  --header 'Authorization: <api-key>'
{
  "_links": {
    "self": {
      "href": "/api/v2/projects",
      "type": "application/json"
    }
  },
  "items": [
    {
      "_links": {
        "environments": {
          "href": "/api/v2/projects/my-project/environments",
          "type": "application/json"
        },
        "self": {
          "href": "/api/v2/projects/my-project",
          "type": "application/json"
        }
      },
      "_id": "57be1db38b75bf0772d11383",
      "key": "project-key-123abc",
      "includeInSnippetByDefault": true,
      "name": "My Project",
      "tags": [
        "ops"
      ],
      "defaultClientSideAvailability": {
        "usingMobileKey": true,
        "usingEnvironmentId": true
      },
      "_access": {
        "denied": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ],
        "allowed": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ]
      },
      "defaultReleasePipelineKey": "<string>",
      "environments": {
        "items": [
          {
            "_links": {
              "self": {
                "href": "/api/v2/projects/my-project/environments/my-environment",
                "type": "application/json"
              }
            },
            "_id": "57be1db38b75bf0772d11384",
            "key": "environment-key-123abc",
            "name": "My Environment",
            "apiKey": "sdk-xxx",
            "mobileKey": "mob-xxx",
            "color": "F5A623",
            "defaultTtl": 5,
            "secureMode": true,
            "defaultTrackEvents": false,
            "requireComments": true,
            "confirmChanges": true,
            "tags": [
              "ops"
            ],
            "critical": true,
            "_access": {
              "denied": [
                {
                  "action": "<string>",
                  "reason": {
                    "effect": "allow",
                    "resources": [
                      "proj/*:env/*;qa_*:/flag/*"
                    ],
                    "notResources": [
                      "<string>"
                    ],
                    "actions": [
                      "*"
                    ],
                    "notActions": [
                      "<string>"
                    ],
                    "role_name": "<string>"
                  }
                }
              ],
              "allowed": [
                {
                  "action": "<string>",
                  "reason": {
                    "effect": "allow",
                    "resources": [
                      "proj/*:env/*;qa_*:/flag/*"
                    ],
                    "notResources": [
                      "<string>"
                    ],
                    "actions": [
                      "*"
                    ],
                    "notActions": [
                      "<string>"
                    ],
                    "role_name": "<string>"
                  }
                }
              ]
            },
            "approvalSettings": {
              "required": true,
              "bypassApprovalsForPendingChanges": false,
              "minNumApprovals": 1,
              "canReviewOwnRequest": false,
              "canApplyDeclinedChanges": true,
              "serviceKind": "launchdarkly",
              "serviceConfig": {},
              "requiredApprovalTags": [
                "require-approval"
              ],
              "autoApplyApprovedChanges": true,
              "serviceKindConfigurationId": "1ef45a85-218f-4428-a8b2-a97e5f56c258"
            },
            "resourceApprovalSettings": {}
          }
        ],
        "_links": {},
        "totalCount": 2
      }
    }
  ],
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

limit
integer<int64>

The number of projects to return in the response. Defaults to 20.

offset
integer<int64>

Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and returns the next limit items.

filter
string<string>

A comma-separated list of filters. Each filter is constructed as field:value.

sort
string<string>

A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order.

expand
string<string>

A comma-separated list of properties that can reveal additional information in the response.

Response

Project collection response

A link to this resource.

Example:
{
"self": {
"href": "/api/v2/projects",
"type": "application/json"
}
}
items
object[]
required

List of projects.

totalCount
integer